<?php
/**
 * @version		1.0.4 (Sep 2013)
 * @package		Nokkori
 * @author		Nuevvo - http://nuevvo.com
 * @copyright Copyright (c) 2010 - 2013 Nuevvo Webware Ltd. All rights reserved.
 * @license		http://nuevvo.com/license
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__).'/includes/helper.php');

if($menu->getActive() == $menu->getDefault() || in_array($itemid,array(141,144))){
	$isFrontpage = true;
	$nuBodyClass = $nuBodyClass." isFrontpage";
} else {
	$isFrontpage = false;
}

?>
<!DOCTYPE html>
<!--[if lte IE 6]><html class="isIE6" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 7]><html class="isIE7" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 8]><html class="isIE8" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 9]><html class="isIE9" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if gt IE 9]><!--><html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" prefix="og: http://ogp.me/ns#"><!--<![endif]-->
<head>
	<?php echo NU_HEAD_TOP; ?>
	<jdoc:include type="head" />
	<?php echo NU_HEAD_BOTTOM; ?>
</head>
<body id="<?php echo NU_BODY_ID; ?>" class="<?php echo $nuBodyClass; ?>">
	<?php echo NU_BODY_TOP; ?>

	<div id="pageWrapper">      
		<header class="mainHeader">			
			<div class="row">
				<h1 id="logo" class="column">
					<a href="<?php echo $siteurl; ?>">
						<?php if($this->params->get('siteLogo')): ?>
							<img src="<?php echo $this->params->get('siteLogo'); ?>" alt="<?php echo $this->params->get('siteLogoAltText', $sitename); ?>" />
						<?php else: ?>
							<span><?php echo $this->params->get('siteTextAsLogo', $sitename); ?></span>
						<?php endif; ?>
					</a>
				</h1>

				<?php if($this->countModules('nokkori_Menu')): ?>
					<div id="menuToggler" class="column"><span><?php echo JText::_('NU_MENU'); ?></span><i class="icon-menu"></i></div>
					<nav class="column small-2 large-9 mainNav">
						<div id="closeBtn"><i class="icon-cancel"></i><span><?php echo JText::_('NU_CLOSE'); ?></span></div>
						<jdoc:include type="modules" name="nokkori_Menu" style="nu" />
					</nav>
				<?php endif; ?>
			</div>
		</header>

		<?php if($this->countModules('nokkori_Slideshow')): ?>
		<section id="slideshow">
			<div class="small-12">        
				<jdoc:include type="modules" name="nokkori_Slideshow" style="nu" />
			</div>
		</section>
		<?php endif; ?>

		<section class="content">
			<?php if (!$isFrontpage && !empty($pageHeading)): ?>
			<div class="overlayedHeading<?php if (empty($pageBgImage)) echo ' overlayedHeadingSolid'; ?>">
				<div <?php if (!empty($pageBgImage)) echo 'style="background-image:url('.$pageBgImage.');"'; ?> class="overlayOpacity backgroundCover"></div>
				<div class="row">
					<h2 class="pageHeading"><?php echo $pageHeading; ?></h2>
				</div>
			</div>
			<?php endif; ?>

			<?php if($this->countModules('nokkori_Above_Component')): ?>
			<div class="aboveComponent">         
				<jdoc:include type="modules" name="nokkori_Above_Component" style="nu" />
			</div>       
			<?php endif; ?>

			<?php if($this->countModules('nokkori_Featured')): ?>
			<div class="featuredWrapper">  
				<div class="row">
					<div class="column small-12 featured">
						<jdoc:include type="modules" name="nokkori_Featured" style="nu" />
					</div>
				</div>
			</div>
			<?php endif; ?>

			<div class="row">
				<div class="column small-12<?php if($this->countModules('nokkori_Right')) echo ' sidebar-8 large-8'; else echo ''; ?> contentBlock<?php echo $contentPadding; ?>">

					<?php if($this->countModules('nokkori_Component') && ($view!='item' && $view!='article')): ?>
					<div class="componentMod">         
						<jdoc:include type="modules" name="nokkori_Component" style="nu" />
					</div>       
					<?php endif; ?>

					<jdoc:include type="message" />				  
					<!-- component area -->
					<jdoc:include type="component" />

					<?php if($this->countModules('nokkori_Component') && ($view=='item' || $view=='article')): ?>
					<div class="componentMod">         
						<jdoc:include type="modules" name="nokkori_Component" style="nu" />
					</div>       
					<?php endif; ?>
				</div>				 

				<?php if($this->countModules('nokkori_Right')): ?>
				<aside class="column small-12 sidebar-4 large-4 sidebar">
					<jdoc:include type="modules" name="nokkori_Right" style="nu" />
				</aside>
				<?php endif; ?> 

				<div class="clr"></div>

				<?php if($this->countModules('nokkori_Below_Component')): ?>
				<div class="column small-12 belowComponent">
					<jdoc:include type="modules" name="nokkori_Below_Component" style="nu" />
				</div>
				<?php endif; ?>        
			</div>			
		</section>

		<?php if ($isFrontpage) echo '<div id="transparentWrapper">'; ?>

		<?php if($this->countModules('nokkori_Bottom or nokkori_Bottom-2 or nokkori_Bottom-3 or nokkori_Bottom-4')): ?>
		<section class="bottomWrapper">
			<div class="row">
				<?php if($this->countModules('nokkori_Bottom')): ?>
				<aside class="column small-12 medium-6<?php echo $rowclass_large.$rowclass;?> btmMod">
					<jdoc:include type="modules" name="nokkori_Bottom" style="nu" />
				</aside>
				<?php endif; ?>	

				<?php if($this->countModules('nokkori_Bottom-2')): ?>
				<aside class="column small-12 medium-6<?php echo $rowclass_large.$rowclass;?> btmMod">
					<jdoc:include type="modules" name="nokkori_Bottom-2" style="nu" />
				</aside>
				<?php endif; ?>        

				<?php if($this->countModules('nokkori_Bottom-3')): ?>
				<aside class="column small-12 medium-6<?php echo $rowclass_small.$rowclass;?> btmMod">
					<jdoc:include type="modules" name="nokkori_Bottom-3" style="nu" />
				</aside>
				<?php endif; ?> 

				<?php if($this->countModules('nokkori_Bottom-4')): ?>
				<aside class="column small-12 medium-6<?php echo $rowclass_small.$rowclass;?> btmMod">
					<jdoc:include type="modules" name="nokkori_Bottom-4" style="nu" />
				</aside>
				<?php endif; ?> 

				<div class="clr"></div>
			</div>	
		</section>
		<?php endif; ?>

		<footer class="mainFooter">
			<?php if($this->countModules('nokkori_Footer')): ?>
			<div class="row">				
				<aside class="column small-12 medium-6 large-6 footerMod">
					<jdoc:include type="modules" name="nokkori_Footer" style="nu" />
				</aside>							
			</div>
			<?php endif; ?>
			<div class="crights">
				<div class="row">
					<?php if ($isFrontpage): ?>
						<?php if(count($social)): ?>  
						<div class="column small-12 medium-6 large-6 floatRight socialMenu">
							<h3 class="sans"><?php echo JText::_('TPL_NU_BE_SL_FOLLOW_US'); ?></h3>        
							<ul>
								<?php foreach($social as $provider): ?>
									<li>
										<a class="social linkIs-<?php echo $provider->class; ?>" target="_blank" href="<?php echo $provider->url; ?>">
											<span><?php echo $provider->name; ?></span>
										</a>
									</li>
								<?php endforeach; ?>
							</ul> 
						</div>       
						<?php endif; ?> 
						<div id="copyrights" class="column small-12 medium-6 large-6"><?php echo NU_COPYRIGHTS; ?>. <?php echo JText::_('TPL_NU_FE_ALL_RIGHTS_RESERVED'); ?>. <?php echo NU_CREDITS; ?></div>				  

					<?php else: ?>  
					<div id="copyrights" class="column small-12 medium-6 large-6"><?php echo NU_COPYRIGHTS; ?>. <?php echo JText::_('TPL_NU_FE_ALL_RIGHTS_RESERVED'); ?>.</div>
					<div id="credits" class="column small-12 medium-6 large-6 text-right"><?php echo NU_CREDITS; ?></div>
					<?php endif; ?>
				</div>
			</div>
		</footer>				
		<?php if ($isFrontpage) echo '</div>'; ?>		
	</div>

	<?php echo NU_BODY_BOTTOM; ?>
	<jdoc:include type="modules" name="debug" />
</body>
</html>
